% Finds the arrival time of a cluster of waves, by finding where the pulses
% cross a constant fraction threshold

function [outintegral] = Integrator(signal,time,ltc,htc,irange)
%    plot(signal)
%    display(time)
    
    tint=time(2)-time(1);
    t0=time(1);
    tbl=(ltc-t0)/tint;   
    tbh=(htc-t0)/tint; 
    itbl=cast(tbl,'int32');
    itbh=cast(tbh,'int32');
    
    [size_a,size_b] = size(signal);
 
    if( (size_a>1) && (size_b>1) )
       
        error('Array is not a 1-D time series!! Cannot find max!');
        
    end
    
    size1 = size_a;
    if(size_b>size_a) 
        size1=size_b;
    end
 
    [vmax,imax] = max(signal(itbl:itbh));

    imax=imax+itbl;
    
    
    hirange=irange/2.;
    nbhirange=cast((hirange/tint),'int32');
    
    lowi=imax-nbhirange;
    highi=imax+nbhirange;
    
    theintegral=0;
    overshoot=0;
    
    ho=lowi
    
    for jjj=lowi:highi;

        if( (jjj>imax) && (signal(jjj)<0) && (signal(jjj+1)<0)  && (signal(jjj+2)<0)  && (signal(jjj+3)<0) )
 %          overshoot=1; 
           yo=jjj
        end
        
        if(overshoot==0)
            theintegral=theintegral + signal(jjj);
        end
           
    end

    
    outintegral=theintegral;
    
 end