function [bl,blsig,wmax] = baselinecalc(thearray,npoints);
% function [bl,blsig,wmax] = baselinecalc(thearray,npoints);
% 
% calculates the maximum, the average and the standard deviation of <thearray>.
% The average and the standard deviation values are beased on first <npoints> of the array.
% <thearray> is two dimensional array number of frames times number of data points in the frame.

[size1, size2] = size(thearray);

bl = zeros(size1,1);
blsig = zeros(size1,1);
wmax = zeros(size1,1);

for nevt=1:size1
    wmax(nevt) = max(thearray(nevt,:));
    bl(nevt) = mean(thearray(nevt,1:npoints));
    blsig(nevt) = std(thearray(nevt,1:npoints));
end

end
